Index: /trunk/sources/HeuristicLab.SQLite/3.2/HeuristicLab.SQLite-3.2.csproj
===================================================================
--- /trunk/sources/HeuristicLab.SQLite/3.2/HeuristicLab.SQLite-3.2.csproj	(revision 2597)
+++ /trunk/sources/HeuristicLab.SQLite/3.2/HeuristicLab.SQLite-3.2.csproj	(revision 2598)
@@ -89,5 +89,7 @@
   <ItemGroup>
     <None Include="HeuristicLab.snk" />
-    <None Include="SQLite.NET.chm" />
+    <None Include="SQLite.NET.chm">
+      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
+    </None>
   </ItemGroup>
   <ItemGroup>
@@ -98,5 +100,7 @@
   </ItemGroup>
   <ItemGroup>
-    <Content Include="SQLite License.txt" />
+    <Content Include="SQLite License.txt">
+      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
+    </Content>
     <Content Include="System.Data.SQLite.DLL" />
   </ItemGroup>
Index: /trunk/sources/HeuristicLab.Tracing/3.2/HeuristicLab.Tracing-3.2.csproj
===================================================================
--- /trunk/sources/HeuristicLab.Tracing/3.2/HeuristicLab.Tracing-3.2.csproj	(revision 2597)
+++ /trunk/sources/HeuristicLab.Tracing/3.2/HeuristicLab.Tracing-3.2.csproj	(revision 2598)
@@ -113,6 +113,10 @@
   </ItemGroup>
   <ItemGroup>
-    <Content Include="HeuristicLab.Hive.log4net.xml" />
-    <Content Include="log4net licence.txt" />
+    <Content Include="HeuristicLab.Hive.log4net.xml">
+      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
+    </Content>
+    <Content Include="log4net licence.txt">
+      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
+    </Content>
   </ItemGroup>
   <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
Index: /trunk/sources/HeuristicLab/CopyAssemblies.cmd
===================================================================
--- /trunk/sources/HeuristicLab/CopyAssemblies.cmd	(revision 2597)
+++ /trunk/sources/HeuristicLab/CopyAssemblies.cmd	(revision 2598)
@@ -1,121 +1,15 @@
+FOR /F "skip=1 tokens=1-2 delims=:" %%G IN (Files.txt) DO copy "%SolutionDir%\%%G\%Outdir%\%%H" .\
 
-copy "%SolutionDir%\ALGLIB\%Outdir%\ALGLIB.dll" .\
-copy "%SolutionDir%\ALGLIB\%Outdir%\ALGLIB License.txt" .\
-copy "%SolutionDir%\HeuristicLab.AdvancedOptimizationFrontend\3.2\%Outdir%\HeuristicLab.AdvancedOptimizationFrontend-3.2.dll" .\
-copy "%SolutionDir%\HeuristicLab.ArtificialNeuralNetworks\3.2\%Outdir%\HeuristicLab.ArtificialNeuralNetworks-3.2.dll" .\
-copy "%SolutionDir%\HeuristicLab.Assignment.QAP\3.2\%Outdir%\HeuristicLab.Assignment.QAP-3.2.dll" .\
-copy "%SolutionDir%\HeuristicLab.BitVector\3.2\%Outdir%\HeuristicLab.BitVector-3.2.dll" .\
-copy "%SolutionDir%\HeuristicLab.BackgroundProcessing\3.2\%Outdir%\HeuristicLab.BackgroundProcessing-3.2.dll" .\
-copy "%SolutionDir%\HeuristicLab.CEDMA.Server\3.3\%Outdir%\HeuristicLab.CEDMA.Server-3.3.dll" .\
-copy "%SolutionDir%\HeuristicLab.Charting\3.2\%Outdir%\HeuristicLab.Charting-3.2.dll" .\
-copy "%SolutionDir%\HeuristicLab.Charting.Data\3.2\%Outdir%\HeuristicLab.Charting.Data-3.2.dll" .\
-copy "%SolutionDir%\HeuristicLab.Common\3.2\%Outdir%\HeuristicLab.Common-3.2.dll" .\ 
-copy "%SolutionDir%\HeuristicLab.Common.Resources\3.2\%Outdir%\HeuristicLab.Common.Resources-3.2.dll" .\
-copy "%SolutionDir%\HeuristicLab.Communication.Data\3.2\%Outdir%\HeuristicLab.Communication.Data-3.2.dll" .\
-copy "%SolutionDir%\HeuristicLab.Communication.Operators\3.2\%Outdir%\HeuristicLab.Communication.Operators-3.2.dll" .\
-copy "%SolutionDir%\HeuristicLab.Core\3.2\%Outdir%\HeuristicLab.Core-3.2.dll" .\
-copy "%SolutionDir%\HeuristicLab.Constraints\3.2\%Outdir%\HeuristicLab.Constraints-3.2.dll" .\
-copy "%SolutionDir%\HeuristicLab.Data\3.2\%Outdir%\HeuristicLab.Data-3.2.dll" .\
-copy "%SolutionDir%\HeuristicLab.DataAccess\3.2\%Outdir%\HeuristicLab.DataAccess-3.2.dll" .\
-copy "%SolutionDir%\HeuristicLab.DataAccess.ADOHelper\3.2\%Outdir%\HeuristicLab.DataAccess.ADOHelper-3.2.dll" .\
-copy "%SolutionDir%\HeuristicLab.DataAnalysis\3.2\%Outdir%\HeuristicLab.DataAnalysis-3.2.dll" .\
-copy "%SolutionDir%\HeuristicLab.DistributedEngine\3.2\%Outdir%\HeuristicLab.DistributedEngine-3.2.dll" .\
-copy "%SolutionDir%\HeuristicLab.ES\3.2\%Outdir%\HeuristicLab.ES-3.2.dll" .\
-copy "%SolutionDir%\HeuristicLab.Evolutionary\3.2\%Outdir%\HeuristicLab.Evolutionary-3.2.dll" .\
-copy "%SolutionDir%\HeuristicLab.GP\3.3\%Outdir%\HeuristicLab.GP-3.3.dll" .\
-copy "%SolutionDir%\HeuristicLab.GP.Algorithms\3.2\%Outdir%\HeuristicLab.GP.Algorithms-3.2.dll" .\
-copy "%SolutionDir%\HeuristicLab.GP.Interfaces\3.3\%Outdir%\HeuristicLab.GP.Interfaces-3.3.dll" .\
-copy "%SolutionDir%\HeuristicLab.GP.Operators\3.3\%Outdir%\HeuristicLab.GP.Operators-3.3.dll" .\
-copy "%SolutionDir%\HeuristicLab.GP.Boolean\3.3\%Outdir%\HeuristicLab.GP.Boolean-3.3.dll" .\
-copy "%SolutionDir%\HeuristicLab.GP.SantaFe\3.3\%Outdir%\HeuristicLab.GP.SantaFe-3.3.dll" .\
-copy "%SolutionDir%\HeuristicLab.GP.StructureIdentification\3.3\%Outdir%\HeuristicLab.GP.StructureIdentification-3.3.dll" .\
-copy "%SolutionDir%\HeuristicLab.GP.StructureIdentification.Classification\3.3\%Outdir%\HeuristicLab.GP.StructureIdentification.Classification-3.3.dll" .\
-copy "%SolutionDir%\HeuristicLab.GP.StructureIdentification.ConditionalEvaluation\3.3\%Outdir%\HeuristicLab.GP.StructureIdentification.ConditionalEvaluation-3.3.dll" .\
-copy "%SolutionDir%\HeuristicLab.GP.StructureIdentification.TimeSeries\3.3\%Outdir%\HeuristicLab.GP.StructureIdentification.TimeSeries-3.3.dll" .\
-copy "%SolutionDir%\HeuristicLab.Grid\3.2\%Outdir%\HeuristicLab.Grid-3.2.dll" .\
-copy "%SolutionDir%\HeuristicLab.Grid.HiveBridge\3.2\%Outdir%\HeuristicLab.Grid.HiveBridge-3.2.dll" .\
-copy "%SolutionDir%\HeuristicLab.Hive.Client.Common\3.2\%Outdir%\HeuristicLab.Hive.Client.Common-3.2.dll" .\
-copy "%SolutionDir%\HeuristicLab.Hive.Client.Communication\3.2\%Outdir%\HeuristicLab.Hive.Client.Communication-3.2.dll" .\
-copy "%SolutionDir%\HeuristicLab.Hive.Client.Console\3.2\%Outdir%\HeuristicLab.Hive.Client.Console-3.2.dll" .\
-copy "%SolutionDir%\HeuristicLab.Hive.Client.Console\3.2\%Outdir%\ZedGraph.dll" .\
-copy "%SolutionDir%\HeuristicLab.Hive.Client.Console\3.2\%Outdir%\Calendar.DayView.dll" .\
-copy "%SolutionDir%\HeuristicLab.Hive.Client.Core\3.2\%Outdir%\HeuristicLab.Hive.Client.Core-3.2.dll" .\
-copy "%SolutionDir%\HeuristicLab.Hive.Client.ExecutionEngine\3.2\%Outdir%\HeuristicLab.Hive.Client.ExecutionEngine-3.2.dll" .\
-copy "%SolutionDir%\HeuristicLab.Hive.Engine\3.2\%Outdir%\HeuristicLab.Hive.Engine-3.2.dll" .\
-copy "%SolutionDir%\HeuristicLab.Hive.JobBase\3.2\%Outdir%\HeuristicLab.Hive.JobBase-3.2.dll" .\
-copy "%SolutionDir%\HeuristicLab.Hive.Server\3.2\%Outdir%\HeuristicLab.Hive.Server-3.2.dll" .\
-copy "%SolutionDir%\HeuristicLab.Hive.Server.ADODataAccess\3.2\%Outdir%\HeuristicLab.Hive.Server.ADODataAccess-3.2.dll" .\
-copy "%SolutionDir%\HeuristicLab.Hive.Server.Console\3.2\%Outdir%\HeuristicLab.Hive.Server.Console-3.2.dll" .\
-copy "%SolutionDir%\HeuristicLab.Hive.Server.Core\3.2\%Outdir%\HeuristicLab.Hive.Server.Core-3.2.dll" .\
-copy "%SolutionDir%\HeuristicLab.Hive.Server.Core\3.2\%Outdir%\HeuristicLab.Hive.Contracts-3.2.dll" .\
-copy "%SolutionDir%\HeuristicLab.Hive.Server.Core\3.2\%Outdir%\Authorization\*.xml" .\
-copy "%SolutionDir%\HeuristicLab.Hive.Server.DataAccess\3.2\%Outdir%\HeuristicLab.Hive.Server.DataAccess-3.2.dll" .\
-copy "%SolutionDir%\HeuristicLab.Hive.Server.Scheduler\3.2\%Outdir%\HeuristicLab.Hive.Server.Scheduler-3.2.dll" .\
-copy "%SolutionDir%\HeuristicLab.IntVector\3.2\%Outdir%\HeuristicLab.IntVector-3.2.dll" .\
-copy "%SolutionDir%\HeuristicLab.LinearRegression\3.2\%Outdir%\HeuristicLab.LinearRegression-3.2.dll" .\
-copy "%SolutionDir%\HeuristicLab.LinearRegression\3.2\%Outdir%\ALGLIB License.txt" .\
-copy "%SolutionDir%\HeuristicLab.Logging\3.2\%Outdir%\HeuristicLab.Logging-3.2.dll" .\
-copy "%SolutionDir%\HeuristicLab.MainForm\3.2\%Outdir%\HeuristicLab.MainForm-3.2.dll" .\
-copy "%SolutionDir%\HeuristicLab.MainForm.Test\3.2\%Outdir%\HeuristicLab.MainForm.Test-3.2.dll" .\
-copy "%SolutionDir%\HeuristicLab.MainForm.WindowsForms\3.2\%Outdir%\HeuristicLab.MainForm.WindowsForms-3.2.dll" .\
-copy "%SolutionDir%\WinFormsUI\%Outdir%\WeifenLuo.WinFormsUI.Docking.dll" .\
-copy "%SolutionDir%\WinFormsUI\%Outdir%\WeifenLuo.WinFormsUI.Docking License.txt" .\
-copy "%SolutionDir%\HeuristicLab.Modeling\3.2\%Outdir%\HeuristicLab.Modeling-3.2.dll" .\
-copy "%SolutionDir%\HeuristicLab.Modeling.Database\3.2\%Outdir%\HeuristicLab.Modeling.Database-3.2.dll" .\
-copy "%SolutionDir%\HeuristicLab.Modeling.Database.SQLServerCompact\3.2\%Outdir%\HeuristicLab.Modeling.Database.SQLServerCompact-3.2.dll" .\
-copy "%SolutionDir%\HeuristicLab.Operators\3.2\%Outdir%\HeuristicLab.Operators-3.2.dll" .\
-copy "%SolutionDir%\HeuristicLab.Operators.Metaprogramming\3.2\%Outdir%\HeuristicLab.Operators.Metaprogramming-3.2.dll" .\
-copy "%SolutionDir%\HeuristicLab.Operators.Programmable\3.2\%Outdir%\HeuristicLab.Operators.Programmable-3.2.dll" .\
-copy "%SolutionDir%\HeuristicLab.Operators.Stopwatch\3.2\%Outdir%\HeuristicLab.Operators.Stopwatch-3.2.dll" .\
-copy "%SolutionDir%\HeuristicLab.OptimizationFrontend\3.2\%Outdir%\HeuristicLab.OptimizationFrontend-3.2.dll" .\
-copy "%SolutionDir%\HeuristicLab.Permutation\3.2\%Outdir%\HeuristicLab.Permutation-3.2.dll" .\
-copy "%SolutionDir%\HeuristicLab.Random\3.2\%Outdir%\HeuristicLab.Random-3.2.dll" .\
-copy "%SolutionDir%\HeuristicLab.RealVector\3.2\%Outdir%\HeuristicLab.RealVector-3.2.dll" .\
-copy "%SolutionDir%\HeuristicLab.Routing.TSP\3.2\%Outdir%\HeuristicLab.Routing.TSP-3.2.dll" .\
-copy "%SolutionDir%\HeuristicLab.SA\3.2\%Outdir%\HeuristicLab.SA-3.2.dll" .\
-copy "%SolutionDir%\HeuristicLab.Scheduling.JSSP\3.2\%Outdir%\HeuristicLab.Scheduling.JSSP-3.2.dll" .\
-copy "%SolutionDir%\HeuristicLab.Selection\3.2\%Outdir%\HeuristicLab.Selection-3.2.dll" .\
-copy "%SolutionDir%\HeuristicLab.Selection.OffspringSelection\3.2\%Outdir%\HeuristicLab.Selection.OffspringSelection-3.2.dll" .\
-copy "%SolutionDir%\HeuristicLab.Selection.Uncertainty\3.2\%Outdir%\HeuristicLab.Selection.Uncertainty-3.2.dll" .\
-copy "%SolutionDir%\HeuristicLab.SequentialEngine\3.2\%Outdir%\HeuristicLab.SequentialEngine-3.2.dll" .\
-copy "%SolutionDir%\HeuristicLab.SGA\3.2\%Outdir%\HeuristicLab.SGA-3.2.dll" .\
-copy "%SolutionDir%\HeuristicLab.FixedOperators\3.2\%Outdir%\HeuristicLab.FixedOperators-3.2.dll" .\
-copy "%SolutionDir%\HeuristicLab.SimOpt\3.2\%Outdir%\HeuristicLab.SimOpt-3.2.dll" .\
-copy "%SolutionDir%\HeuristicLab.SQLite\3.2\%Outdir%\HeuristicLab.SQLite-3.2.dll" .\
-copy "%SolutionDir%\HeuristicLab.SQLite\3.2\SQLite License.txt" .\
-copy "%SolutionDir%\HeuristicLab.SQLite\3.2\SQLite.NET.chm" .\
-copy "%SolutionDir%\HeuristicLAb.SQLServerCompact\3.2\%Outdir%\HeuristicLab.SQLServerCompact-3.2.dll" .\
-copy "%SolutionDir%\HeuristicLAb.SQLServerCompact\3.2\%Outdir%\System.Data.SqlServerCe.dll" .\
-copy "%SolutionDir%\HeuristicLab.StatisticalAnalysis\3.2\%Outdir%\HeuristicLab.StatisticalAnalysis-3.2.dll" .\
-copy "%SolutionDir%\HeuristicLab.SupportVectorMachines\3.2\%Outdir%\HeuristicLab.SupportVectorMachines-3.2.dll" .\
-copy "%SolutionDir%\LibSVM\%Outdir%\LibSVM.dll" .\
-copy "%SolutionDir%\HeuristicLab.TestFunctions\3.2\%Outdir%\HeuristicLab.TestFunctions-3.2.dll" .\
-copy "%SolutionDir%\HeuristicLab.ThreadParallelEngine\3.2\%Outdir%\HeuristicLab.ThreadParallelEngine-3.2.dll" .\
-copy "%SolutionDir%\HeuristicLab.Tracing\3.2\%Outdir%\HeuristicLab.Tracing-3.2.dll" .\
-copy "%SolutionDir%\HeuristicLab.Tracing\3.2\%Outdir%\log4net.dll" .\
-copy "%SolutionDir%\HeuristicLab.Tracing\3.2\log4net licence.txt" .\
-copy "%SolutionDir%\HeuristicLab.Tracing\3.2\HeuristicLab.log4net.xml" .\
-copy "%SolutionDir%\HeuristicLab.Tracing\3.2\HeuristicLab.Hive.log4net.xml" .\
-copy "%SolutionDir%\HeuristicLab.Visualization\3.2\%Outdir%\HeuristicLab.Visualization-3.2.dll" .\
-copy "%SolutionDir%\HeuristicLab.Visualization.Test\3.2\%Outdir%\HeuristicLab.Visualization.Test-3.2.dll" .\
-copy "%SolutionDir%\HeuristicLab.Security.Contracts\3.2\%Outdir%\HeuristicLab.Security.Contracts-3.2.dll" .\
-copy "%SolutionDir%\HeuristicLab.Security.Core\3.2\%Outdir%\HeuristicLab.Security.Core-3.2.dll" .\
-copy "%SolutionDir%\HeuristicLab.Security.DataAccess\3.2\%Outdir%\HeuristicLab.Security.DataAccess-3.2.dll" .\
-copy "%SolutionDir%\HeuristicLab.Security.ADODataAccess\3.2\%Outdir%\HeuristicLab.Security.ADODataAccess-3.2.dll" .\
-copy "%SolutionDir%\HeuristicLab.Security.Server\3.2\%Outdir%\HeuristicLab.Security.Server-3.2.dll" .\
+
 echo "Platform: %Platform%, architecture: %PROCESSOR_ARCHITECTURE%"
 if "%Platform%" == "x86" (   
-  copy /B /Y "%SolutionDir%\HeuristicLab.SQLite\3.2\System.Data.SQLite.dll" .\
-  xcopy "%SolutionDir%\HeuristicLab.SQLServerCompact\3.2\x86\*" .\ /e /i /Y
+  FOR /F "skip=1 tokens=*" %%G IN (Files.x86.txt) DO copy "%SolutionDir%\%%G" .\
 ) else if "%Platform%" == "x64" ( 
-  copy /B /Y "%SolutionDir%\HeuristicLab.SQLite\3.2\System.Data.SQLite.x64.dll" .\\System.Data.SQLite.dll
-  xcopy "%SolutionDir%\HeuristicLab.SQLServerCompact\3.2\x64\*" .\ /e /i /Y
+  FOR /F "skip=1 tokens=*" %%G IN (Files.x64.txt) DO copy "%SolutionDir%\%%G" .\
 ) else if "%Platform%" == "AnyCPU" (
   if "%PROCESSOR_ARCHITECTURE%" == "x64" (
-    copy /B /Y "%SolutionDir%\HeuristicLab.SQLite\3.2\System.Data.SQLite.x64.dll" .\\System.Data.SQLite.dll
-     xcopy "%SolutionDir%\HeuristicLab.SQLServerCompact\3.2\x64\*" .\ /e /i /Y
+  FOR /F "skip=1 tokens=*" %%G IN (Files.x64.txt) DO copy "%SolutionDir%\%%G" .\
   ) else if "%PROCESSOR_ARCHITECTURE%" == "x86" (
-    copy /B /Y "%SolutionDir%\HeuristicLab.SQLite\3.2\System.Data.SQLite.dll" .\
-    xcopy "%SolutionDir%\HeuristicLab.SQLServerCompact\3.2\x86\*" .\ /e /i /Y
+  FOR /F "skip=1 tokens=*" %%G IN (Files.x86.txt) DO copy "%SolutionDir%\%%G" .\
   ) else (
     echo "ERROR: unknown architecture: "%PROCESSOR_ARCHITECTURE%"
Index: /trunk/sources/HeuristicLab/CustomPostBuildTemplate_UpdateLocalInstallation.cmd
===================================================================
--- /trunk/sources/HeuristicLab/CustomPostBuildTemplate_UpdateLocalInstallation.cmd	(revision 2597)
+++ /trunk/sources/HeuristicLab/CustomPostBuildTemplate_UpdateLocalInstallation.cmd	(revision 2598)
@@ -1,117 +1,25 @@
 set target=C:\Program Files\HeuristicLab 3.0
 
-copy "HeuristicLab.exe.config" "%target%"
-copy "HeuristicLab.PluginInfrastructure.dll" "%target%"
+copy HeuristicLab.exe "%target%"
+copy HeuristicLab.exe.config "%target%"
+copy HeuristicLab.PluginInfrastructure.dll "%target%"
 
-copy "ALGLIB.dll" "%target%"
-copy "ALGLIB License.txt" "%target%"
-copy "HeuristicLab.AdvancedOptimizationFrontend-3.2.dll" "%target%"
-copy "HeuristicLab.ArtificialNeuralNetworks-3.2.dll" "%target%"
-copy "HeuristicLab.Assignment.QAP-3.2.dll" "%target%"
-copy "HeuristicLab.BitVector-3.2.dll" "%target%"
-copy "HeuristicLab.BackgroundProcessing-3.2.dll" "%target%"
-copy "HeuristicLab.CEDMA.Server-3.3.dll" "%target%"
-copy "HeuristicLab.Charting-3.2.dll" "%target%"
-copy "HeuristicLab.Charting.Data-3.2.dll" "%target%"
-copy "HeuristicLab.Common-3.2.dll" "%target%" 
-copy "HeuristicLab.Common.Resources-3.2.dll" "%target%"
-copy "HeuristicLab.Communication.Data-3.2.dll" "%target%"
-copy "HeuristicLab.Communication.Operators-3.2.dll" "%target%"
-copy "HeuristicLab.Core-3.2.dll" "%target%"
-copy "HeuristicLab.Constraints-3.2.dll" "%target%"
-copy "HeuristicLab.Data-3.2.dll" "%target%"
-copy "HeuristicLab.DataAccess-3.2.dll" "%target%"
-copy "HeuristicLab.DataAccess.ADOHelper-3.2.dll" "%target%"
-copy "HeuristicLab.DataAnalysis-3.2.dll" "%target%"
-copy "HeuristicLab.DistributedEngine-3.2.dll" "%target%"
-copy "HeuristicLab.ES-3.2.dll" "%target%"
-copy "HeuristicLab.Evolutionary-3.2.dll" "%target%"
-copy "HeuristicLab.GP-3.3.dll" "%target%"
-copy "HeuristicLab.GP.Algorithms-3.2.dll" "%target%"
-copy "HeuristicLab.GP.Interfaces-3.3.dll" "%target%"
-copy "HeuristicLab.GP.Operators-3.3.dll" "%target%"
-copy "HeuristicLab.GP.Boolean-3.3.dll" "%target%"
-copy "HeuristicLab.GP.SantaFe-3.3.dll" "%target%"
-copy "HeuristicLab.GP.StructureIdentification-3.3.dll" "%target%"
-copy "HeuristicLab.GP.StructureIdentification.Classification-3.3.dll" "%target%"
-copy "HeuristicLab.GP.StructureIdentification.ConditionalEvaluation-3.3.dll" "%target%"
-copy "HeuristicLab.GP.StructureIdentification.TimeSeries-3.3.dll" "%target%"
-copy "HeuristicLab.Grid-3.2.dll" "%target%"
-copy "HeuristicLab.Grid.HiveBridge-3.2.dll" "%target%"
-copy "HeuristicLab.Hive.Client.Common-3.2.dll" "%target%"
-copy "HeuristicLab.Hive.Client.Communication-3.2.dll" "%target%"
-copy "HeuristicLab.Hive.Client.Console-3.2.dll" "%target%"
-copy "ZedGraph.dll" "%target%"
-copy "Calendar.DayView.dll" "%target%"
-copy "HeuristicLab.Hive.Client.Core-3.2.dll" "%target%"
-copy "HeuristicLab.Hive.Client.ExecutionEngine-3.2.dll" "%target%"
-copy "HeuristicLab.Hive.Engine-3.2.dll" "%target%"
-copy "HeuristicLab.Hive.JobBase-3.2.dll" "%target%"
-copy "HeuristicLab.Hive.Server-3.2.dll" "%target%"
-copy "HeuristicLab.Hive.Server.ADODataAccess-3.2.dll" "%target%"
-copy "HeuristicLab.Hive.Server.Console-3.2.dll" "%target%"
-copy "HeuristicLab.Hive.Server.Core-3.2.dll" "%target%"
-copy "HeuristicLab.Hive.Contracts-3.2.dll" "%target%"
-copy "Authorization\*.xml" "%target%"
-copy "HeuristicLab.Hive.Server.DataAccess-3.2.dll" "%target%"
-copy "HeuristicLab.Hive.Server.Scheduler-3.2.dll" "%target%"
-copy "HeuristicLab.IntVector-3.2.dll" "%target%"
-copy "HeuristicLab.LinearRegression-3.2.dll" "%target%"
-copy "HeuristicLab.Logging-3.2.dll" "%target%"
-copy "HeuristicLab.MainForm-3.2.dll" "%target%"
-copy "HeuristicLab.MainForm.Test-3.2.dll" "%target%"
-copy "HeuristicLab.MainForm.WindowsForms-3.2.dll" "%target%"
-copy "WeifenLuo.WinFormsUI.Docking.dll" "%target%"
-copy "WeifenLuo.WinFormsUI.Docking License.txt" "%target%"
-copy "HeuristicLab.Modeling-3.2.dll" "%target%"
-copy "HeuristicLab.Modeling.Database-3.2.dll" "%target%"
-copy "HeuristicLab.Modeling.Database.SQLServerCompact-3.2.dll" "%target%"
-copy "HeuristicLab.Operators-3.2.dll" "%target%"
-copy "HeuristicLab.Operators.Metaprogramming-3.2.dll" "%target%"
-copy "HeuristicLab.Operators.Programmable-3.2.dll" "%target%"
-copy "HeuristicLab.Operators.Stopwatch-3.2.dll" "%target%"
-copy "HeuristicLab.OptimizationFrontend-3.2.dll" "%target%"
-copy "HeuristicLab.Permutation-3.2.dll" "%target%"
-copy "HeuristicLab.Random-3.2.dll" "%target%"
-copy "HeuristicLab.RealVector-3.2.dll" "%target%"
-copy "HeuristicLab.Routing.TSP-3.2.dll" "%target%"
-copy "HeuristicLab.SA-3.2.dll" "%target%"
-copy "HeuristicLab.Scheduling.JSSP-3.2.dll" "%target%"
-copy "HeuristicLab.Selection-3.2.dll" "%target%"
-copy "HeuristicLab.Selection.OffspringSelection-3.2.dll" "%target%"
-copy "HeuristicLab.Selection.Uncertainty-3.2.dll" "%target%"
-copy "HeuristicLab.SequentialEngine-3.2.dll" "%target%"
-copy "HeuristicLab.SGA-3.2.dll" "%target%"
-copy "HeuristicLab.FixedOperators-3.2.dll" "%target%"
-copy "HeuristicLab.SimOpt-3.2.dll" "%target%"
-copy "HeuristicLab.SQLite-3.2.dll" "%target%"
-copy "SQLite License.txt" "%target%"
-copy "SQLite.NET.chm" "%target%"
-copy "HeuristicLab.SQLServerCompact-3.2.dll" "%target%"
-copy "System.Data.SqlServerCe.dll" "%target%"
-copy "sqlceca35.dll" "%target%"
-copy "sqlcecompact35.dll" "%target%"
-copy "sqlceer35EN.dll" "%target%"
-copy "sqlceme35.dll" "%target%"
-copy "sqlceoledb35.dll" "%target%"
-copy "sqlceqp35.dll" "%target%"
-copy "sqlcese35.dll" "%target%"
-copy "HeuristicLab.StatisticalAnalysis-3.2.dll" "%target%"
-copy "HeuristicLab.SupportVectorMachines-3.2.dll" "%target%"
-copy "LibSVM.dll" "%target%"
-copy "HeuristicLab.TestFunctions-3.2.dll" "%target%"
-copy "HeuristicLab.ThreadParallelEngine-3.2.dll" "%target%"
-copy "HeuristicLab.Tracing-3.2.dll" "%target%"
-copy "log4net.dll" "%target%"
-copy "log4net licence.txt" "%target%"
-copy "HeuristicLab.log4net.xml" "%target%"
-copy "HeuristicLab.Hive.log4net.xml" "%target%"
-copy "HeuristicLab.Visualization-3.2.dll" "%target%"
-copy "HeuristicLab.Visualization.Test-3.2.dll" "%target%"
-copy "HeuristicLab.Security.Contracts-3.2.dll" "%target%"
-copy "HeuristicLab.Security.Core-3.2.dll" "%target%"
-copy "HeuristicLab.Security.DataAccess-3.2.dll" "%target%"
-copy "HeuristicLab.Security.ADODataAccess-3.2.dll" "%target%"
-copy "HeuristicLab.Security.Server-3.2.dll" "%target%"
-copy "System.Data.SQLite.dll" "%target%"
+FOR /F "skip=1 tokens=1-2 delims=:" %%G IN (Files.txt) DO copy "%SolutionDir%\%%G\%Outdir%\%%H" "%target%"
 
+
+echo "Platform: %Platform%, architecture: %PROCESSOR_ARCHITECTURE%"
+if "%Platform%" == "x86" (   
+  FOR /F "skip=1 tokens=*" %%G IN (Files.x86.txt) DO copy "%SolutionDir%\%%G" "%target%"
+) else if "%Platform%" == "x64" ( 
+  FOR /F "skip=1 tokens=*" %%G IN (Files.x64.txt) DO copy "%SolutionDir%\%%G" "%target%"
+) else if "%Platform%" == "AnyCPU" (
+  if "%PROCESSOR_ARCHITECTURE%" == "x64" (
+  FOR /F "skip=1 tokens=*" %%G IN (Files.x64.txt) DO copy "%SolutionDir%\%%G" "%target%"
+  ) else if "%PROCESSOR_ARCHITECTURE%" == "x86" (
+  FOR /F "skip=1 tokens=*" %%G IN (Files.x86.txt) DO copy "%SolutionDir%\%%G" "%target%"
+  ) else (
+    echo "ERROR: unknown architecture: "%PROCESSOR_ARCHITECTURE%"
+  ) 
+) else (
+  echo "ERROR: unknown platform: %Platform%"
+)
Index: /trunk/sources/HeuristicLab/Files.txt
===================================================================
--- /trunk/sources/HeuristicLab/Files.txt	(revision 2598)
+++ /trunk/sources/HeuristicLab/Files.txt	(revision 2598)
@@ -0,0 +1,137 @@
+﻿; This line is skipped. DO NOT TOUCH THIS line!
+; List of project directories and file names separated by ':' that are part of the installation
+
+ALGLIB:ALGLIB.dll
+ALGLIB:ALGLIB License.txt
+
+HeuristicLab.AdvancedOptimizationFrontend\3.2:HeuristicLab.AdvancedOptimizationFrontend-3.2.dll 
+HeuristicLab.ArtificialNeuralNetworks\3.2:HeuristicLab.ArtificialNeuralNetworks-3.2.dll 
+HeuristicLab.Assignment.QAP\3.2:HeuristicLab.Assignment.QAP-3.2.dll 
+HeuristicLab.BitVector\3.2:HeuristicLab.BitVector-3.2.dll 
+HeuristicLab.BackgroundProcessing\3.2:HeuristicLab.BackgroundProcessing-3.2.dll 
+HeuristicLab.CEDMA.Server\3.3:HeuristicLab.CEDMA.Server-3.3.dll 
+
+HeuristicLab.Charting\3.2:HeuristicLab.Charting-3.2.dll 
+HeuristicLab.Charting.Data\3.2:HeuristicLab.Charting.Data-3.2.dll 
+
+HeuristicLab.Common\3.2:HeuristicLab.Common-3.2.dll  
+HeuristicLab.Common.Resources\3.2:HeuristicLab.Common.Resources-3.2.dll 
+
+HeuristicLab.Communication.Data\3.2:HeuristicLab.Communication.Data-3.2.dll 
+HeuristicLab.Communication.Operators\3.2:HeuristicLab.Communication.Operators-3.2.dll 
+
+HeuristicLab.Core\3.2:HeuristicLab.Core-3.2.dll 
+HeuristicLab.Constraints\3.2:HeuristicLab.Constraints-3.2.dll 
+HeuristicLab.Data\3.2:HeuristicLab.Data-3.2.dll 
+
+HeuristicLab.DataAccess\3.2:HeuristicLab.DataAccess-3.2.dll 
+HeuristicLab.DataAccess.ADOHelper\3.2:HeuristicLab.DataAccess.ADOHelper-3.2.dll 
+
+HeuristicLab.DataAnalysis\3.2:HeuristicLab.DataAnalysis-3.2.dll 
+HeuristicLab.DistributedEngine\3.2:HeuristicLab.DistributedEngine-3.2.dll 
+HeuristicLab.ES\3.2:HeuristicLab.ES-3.2.dll 
+HeuristicLab.Evolutionary\3.2:HeuristicLab.Evolutionary-3.2.dll 
+
+HeuristicLab.GP\3.3:HeuristicLab.GP-3.3.dll 
+HeuristicLab.GP.Algorithms\3.2:HeuristicLab.GP.Algorithms-3.2.dll 
+HeuristicLab.GP.Interfaces\3.3:HeuristicLab.GP.Interfaces-3.3.dll 
+HeuristicLab.GP.Operators\3.3:HeuristicLab.GP.Operators-3.3.dll 
+HeuristicLab.GP.Boolean\3.3:HeuristicLab.GP.Boolean-3.3.dll 
+HeuristicLab.GP.SantaFe\3.3:HeuristicLab.GP.SantaFe-3.3.dll 
+HeuristicLab.GP.StructureIdentification\3.3:HeuristicLab.GP.StructureIdentification-3.3.dll 
+HeuristicLab.GP.StructureIdentification.Classification\3.3:HeuristicLab.GP.StructureIdentification.Classification-3.3.dll 
+HeuristicLab.GP.StructureIdentification.ConditionalEvaluation\3.3:HeuristicLab.GP.StructureIdentification.ConditionalEvaluation-3.3.dll 
+HeuristicLab.GP.StructureIdentification.TimeSeries\3.3:HeuristicLab.GP.StructureIdentification.TimeSeries-3.3.dll 
+
+HeuristicLab.Grid\3.2:HeuristicLab.Grid-3.2.dll 
+HeuristicLab.Grid.HiveBridge\3.2:HeuristicLab.Grid.HiveBridge-3.2.dll 
+
+HeuristicLab.Hive.Client.Common\3.2:HeuristicLab.Hive.Client.Common-3.2.dll 
+HeuristicLab.Hive.Client.Communication\3.2:HeuristicLab.Hive.Client.Communication-3.2.dll 
+HeuristicLab.Hive.Client.Console\3.2:HeuristicLab.Hive.Client.Console-3.2.dll 
+HeuristicLab.Hive.Client.Console\3.2:ZedGraph.dll 
+HeuristicLab.Hive.Client.Console\3.2:Calendar.DayView.dll 
+HeuristicLab.Hive.Client.Core\3.2:HeuristicLab.Hive.Client.Core-3.2.dll 
+HeuristicLab.Hive.Client.ExecutionEngine\3.2:HeuristicLab.Hive.Client.ExecutionEngine-3.2.dll 
+
+HeuristicLab.Hive.Engine\3.2:HeuristicLab.Hive.Engine-3.2.dll 
+HeuristicLab.Hive.JobBase\3.2:HeuristicLab.Hive.JobBase-3.2.dll 
+HeuristicLab.Hive.Server\3.2:HeuristicLab.Hive.Server-3.2.dll 
+
+HeuristicLab.Hive.Server.ADODataAccess\3.2:HeuristicLab.Hive.Server.ADODataAccess-3.2.dll 
+HeuristicLab.Hive.Server.Console\3.2:HeuristicLab.Hive.Server.Console-3.2.dll 
+HeuristicLab.Hive.Server.Core\3.2:HeuristicLab.Hive.Server.Core-3.2.dll 
+HeuristicLab.Hive.Server.Core\3.2:HeuristicLab.Hive.Contracts-3.2.dll 
+HeuristicLab.Hive.Server.Core\3.2:Authorization\*.xml 
+HeuristicLab.Hive.Server.DataAccess\3.2:HeuristicLab.Hive.Server.DataAccess-3.2.dll 
+HeuristicLab.Hive.Server.Scheduler\3.2:HeuristicLab.Hive.Server.Scheduler-3.2.dll 
+
+HeuristicLab.IntVector\3.2:HeuristicLab.IntVector-3.2.dll 
+
+HeuristicLab.LinearRegression\3.2:HeuristicLab.LinearRegression-3.2.dll 
+HeuristicLab.LinearRegression\3.2:ALGLIB License.txt 
+
+HeuristicLab.Logging\3.2:HeuristicLab.Logging-3.2.dll 
+
+HeuristicLab.MainForm\3.2:HeuristicLab.MainForm-3.2.dll 
+HeuristicLab.MainForm.Test\3.2:HeuristicLab.MainForm.Test-3.2.dll 
+HeuristicLab.MainForm.WindowsForms\3.2:HeuristicLab.MainForm.WindowsForms-3.2.dll 
+
+WinFormsUI:WeifenLuo.WinFormsUI.Docking.dll 
+WinFormsUI:WeifenLuo.WinFormsUI.Docking License.txt 
+
+HeuristicLab.Modeling\3.2:HeuristicLab.Modeling-3.2.dll 
+HeuristicLab.Modeling.Database\3.2:HeuristicLab.Modeling.Database-3.2.dll 
+HeuristicLab.Modeling.Database.SQLServerCompact\3.2:HeuristicLab.Modeling.Database.SQLServerCompact-3.2.dll 
+
+HeuristicLab.Operators\3.2:HeuristicLab.Operators-3.2.dll 
+HeuristicLab.Operators.Metaprogramming\3.2:HeuristicLab.Operators.Metaprogramming-3.2.dll 
+HeuristicLab.Operators.Programmable\3.2:HeuristicLab.Operators.Programmable-3.2.dll 
+HeuristicLab.Operators.Stopwatch\3.2:HeuristicLab.Operators.Stopwatch-3.2.dll 
+
+HeuristicLab.OptimizationFrontend\3.2:HeuristicLab.OptimizationFrontend-3.2.dll 
+HeuristicLab.Permutation\3.2:HeuristicLab.Permutation-3.2.dll 
+HeuristicLab.Random\3.2:HeuristicLab.Random-3.2.dll 
+HeuristicLab.RealVector\3.2:HeuristicLab.RealVector-3.2.dll 
+HeuristicLab.Routing.TSP\3.2:HeuristicLab.Routing.TSP-3.2.dll 
+HeuristicLab.SA\3.2:HeuristicLab.SA-3.2.dll 
+HeuristicLab.Scheduling.JSSP\3.2:HeuristicLab.Scheduling.JSSP-3.2.dll 
+
+HeuristicLab.Selection\3.2:HeuristicLab.Selection-3.2.dll 
+HeuristicLab.Selection.OffspringSelection\3.2:HeuristicLab.Selection.OffspringSelection-3.2.dll 
+HeuristicLab.Selection.Uncertainty\3.2:HeuristicLab.Selection.Uncertainty-3.2.dll 
+
+HeuristicLab.SequentialEngine\3.2:HeuristicLab.SequentialEngine-3.2.dll 
+HeuristicLab.SGA\3.2:HeuristicLab.SGA-3.2.dll 
+HeuristicLab.FixedOperators\3.2:HeuristicLab.FixedOperators-3.2.dll 
+HeuristicLab.SimOpt\3.2:HeuristicLab.SimOpt-3.2.dll 
+
+HeuristicLab.SQLite\3.2:HeuristicLab.SQLite-3.2.dll 
+HeuristicLab.SQLite\3.2:SQLite License.txt 
+HeuristicLab.SQLite\3.2:SQLite.NET.chm 
+
+HeuristicLab.SQLServerCompact\3.2:HeuristicLab.SQLServerCompact-3.2.dll 
+HeuristicLab.SQLServerCompact\3.2:System.Data.SqlServerCe.dll 
+
+HeuristicLab.StatisticalAnalysis\3.2:HeuristicLab.StatisticalAnalysis-3.2.dll 
+
+HeuristicLab.SupportVectorMachines\3.2:HeuristicLab.SupportVectorMachines-3.2.dll 
+LibSVM:LibSVM.dll 
+
+HeuristicLab.TestFunctions\3.2:HeuristicLab.TestFunctions-3.2.dll 
+HeuristicLab.ThreadParallelEngine\3.2:HeuristicLab.ThreadParallelEngine-3.2.dll 
+
+HeuristicLab.Tracing\3.2:HeuristicLab.Tracing-3.2.dll 
+HeuristicLab.Tracing\3.2:log4net.dll 
+HeuristicLab.Tracing\3.2:log4net licence.txt 
+HeuristicLab.Tracing\3.2:HeuristicLab.log4net.xml 
+HeuristicLab.Tracing\3.2:HeuristicLab.Hive.log4net.xml 
+
+HeuristicLab.Visualization\3.2:HeuristicLab.Visualization-3.2.dll 
+HeuristicLab.Visualization.Test\3.2:HeuristicLab.Visualization.Test-3.2.dll 
+
+HeuristicLab.Security.Contracts\3.2:HeuristicLab.Security.Contracts-3.2.dll 
+HeuristicLab.Security.Core\3.2:HeuristicLab.Security.Core-3.2.dll 
+HeuristicLab.Security.DataAccess\3.2:HeuristicLab.Security.DataAccess-3.2.dll 
+HeuristicLab.Security.ADODataAccess\3.2:HeuristicLab.Security.ADODataAccess-3.2.dll 
+HeuristicLab.Security.Server\3.2:HeuristicLab.Security.Server-3.2.dll 
Index: /trunk/sources/HeuristicLab/Files.x64.txt
===================================================================
--- /trunk/sources/HeuristicLab/Files.x64.txt	(revision 2598)
+++ /trunk/sources/HeuristicLab/Files.x64.txt	(revision 2598)
@@ -0,0 +1,12 @@
+﻿; This line is skipped. DO NOT TOUCH THIS line!
+; This file contains a list of all x86 specific files
+
+HeuristicLab.SQLServerCompact\3.2\x64\sqlceca35.dll
+HeuristicLab.SQLServerCompact\3.2\x64\sqlcecompact35.dll
+HeuristicLab.SQLServerCompact\3.2\x64\sqlceer35EN.dll
+HeuristicLab.SQLServerCompact\3.2\x64\sqlceme35.dll
+HeuristicLab.SQLServerCompact\3.2\x64\sqlceoledb35.dll
+HeuristicLab.SQLServerCompact\3.2\x64\sqlceqp35.dll
+HeuristicLab.SQLServerCompact\3.2\x64\sqlcese35.dll
+
+HeuristicLab.SQLite\3.2\x64\System.Data.SQLite.dll
Index: /trunk/sources/HeuristicLab/Files.x86.txt
===================================================================
--- /trunk/sources/HeuristicLab/Files.x86.txt	(revision 2598)
+++ /trunk/sources/HeuristicLab/Files.x86.txt	(revision 2598)
@@ -0,0 +1,12 @@
+﻿; This line is skipped. DO NOT TOUCH THIS line!
+; This file contains a list of all x86 specific files
+
+HeuristicLab.SQLServerCompact\3.2\x86\sqlceca35.dll
+HeuristicLab.SQLServerCompact\3.2\x86\sqlcecompact35.dll
+HeuristicLab.SQLServerCompact\3.2\x86\sqlceer35EN.dll
+HeuristicLab.SQLServerCompact\3.2\x86\sqlceme35.dll
+HeuristicLab.SQLServerCompact\3.2\x86\sqlceoledb35.dll
+HeuristicLab.SQLServerCompact\3.2\x86\sqlceqp35.dll
+HeuristicLab.SQLServerCompact\3.2\x86\sqlcese35.dll
+
+HeuristicLab.SQLite\3.2\x86\System.Data.SQLite.dll
Index: /trunk/sources/HeuristicLab/HeuristicLab.csproj
===================================================================
--- /trunk/sources/HeuristicLab/HeuristicLab.csproj	(revision 2597)
+++ /trunk/sources/HeuristicLab/HeuristicLab.csproj	(revision 2598)
@@ -113,4 +113,13 @@
   </ItemGroup>
   <ItemGroup>
+    <Content Include="Files.x86.txt">
+      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
+    </Content>
+    <Content Include="Files.x64.txt">
+      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
+    </Content>
+    <Content Include="Files.txt">
+      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
+    </Content>
     <Content Include="HeuristicLab.ico" />
     <Content Include="Resources\HeuristicLab.ico" />
